<?php



$kuStrBannerFile = "";
$kuStrBannerWidth = 0;
$kuStrBannerHeight = 0;
$kuStrBanner1ImgAddress = "";
$kuStrBanner1ImgUrl = "";
$kuFlashSWFAddressUrl = "";
$kuFlachBackGroundImgUrl = "";

$currPageUrl = CommTool::getCurrPageURL();
if(stristr($currPageUrl, $kuHttpPath.'index') || stristr($kuHttpPath, $currPageUrl))
{
  if(1 == $kuWebsiteFlashIndexStartFlag)
  {//如果主页banner开启，主页使用该参数
    $kuStrBannerWidth = $kuWebsiteFlashIndexWidth;
    $kuStrBannerHeight = $kuWebsiteFlashIndexHeight;
    if(1 == $kuWebsiteFlashIndexType)
    {
      for($i=1; $i<5; $i++)
      {
        $namePic = 'kuWebsiteFlashIndexImgAddress'.$i;
        $nameUrl = 'kuWebsiteFlashIndexImgUrl'.$i;
        if('' != $$namePic)
        {
          if(1 == $i)
          {
            $kuStrBanner1ImgAddress .= $kuUploadPath.$$namePic;
            $kuStrBanner1ImgUrl .= $$nameUrl;
          }
          else
          {
            $kuStrBanner1ImgAddress .= '|'.$kuUploadPath.$$namePic;
            $kuStrBanner1ImgUrl .= '|'.$$nameUrl;
          }
        }    
      }
      $kuStrBannerFile = "banner_index_1.html";
    }
    else if(2 == $kuWebsiteFlashIndexType)
    {
      $kuFlashSWFAddressUrl = $kuUploadPath.$kuWebsiteFlashIndexSWFAddress;
      $kuFlachBackGroundImgUrl = $kuUploadPath.$kuWebsiteFlashIndexBackGroundImg;
      $kuStrBannerFile = "banner_2_1.html";
    }
  }
  else if(1 == $kuWebsiteFlashStartFlag)
  { //否则开启全局banner，则调用全局banner
    $kuStrBannerWidth = $kuWebsiteFlashWidth;
    $kuStrBannerHeight = $kuWebsiteFlashHeight;
    if(1 == $kuWebsiteFlashType)
    {
      for($i=1; $i<5; $i++)
      {
        $namePic = 'kuWebsiteFlashImgAddress'.$i;
        $nameUrl = 'kuWebsiteFlashImgUrl'.$i;
        if('' != $$namePic)
        {
          if(1 == $i)
          {
            $kuStrBanner1ImgAddress .= $kuUploadPath.$$namePic;
            $kuStrBanner1ImgUrl .= $$nameUrl;
          }
          else
          {
            $kuStrBanner1ImgAddress .= '|'.$kuUploadPath.$$namePic;
            $kuStrBanner1ImgUrl .= '|'.$$nameUrl;
          }
        }    
      }
      $kuStrBannerFile = "banner_{$kuWebsiteFlashType}_1.html";
    }
    else if(2 == $kuWebsiteFlashType)
    {
      $kuFlashSWFAddressUrl = $kuUploadPath.$kuWebsiteFlashSWFAddress;
      $kuFlachBackGroundImgUrl = $kuUploadPath.$kuWebsiteFlashBackGroundImg;
      $kuStrBannerFile = "banner_{$kuWebsiteFlashType}_1.html";
    }
  }
}
else if(1 == $kuWebsiteFlashStartFlag)
{ //否则开启全局banner，则调用全局banner
  $kuStrBannerWidth = $kuWebsiteFlashWidth;
  $kuStrBannerHeight = $kuWebsiteFlashHeight;
  if(1 == $kuWebsiteFlashType)
  {
    for($i=1; $i<5; $i++)
    {
      $namePic = 'kuWebsiteFlashImgAddress'.$i;
      $nameUrl = 'kuWebsiteFlashImgUrl'.$i;
      if('' != $$namePic)
      {
        if(1 == $i)
        {
          $kuStrBanner1ImgAddress .= $kuUploadPath.$$namePic;
          $kuStrBanner1ImgUrl .= $$nameUrl;
        }
        else
        {
          $kuStrBanner1ImgAddress .= '|'.$kuUploadPath.$$namePic;
          $kuStrBanner1ImgUrl .= '|'.$$nameUrl;
        }
      }    
    }
    $kuStrBannerFile = "banner_{$kuWebsiteFlashType}_1.html";
  }
  else if(2 == $kuWebsiteFlashType)
  {
    $kuFlashSWFAddressUrl = $kuUploadPath.$kuWebsiteFlashSWFAddress;
    $kuFlachBackGroundImgUrl = $kuUploadPath.$kuWebsiteFlashBackGroundImg;
    $kuStrBannerFile = "banner_{$kuWebsiteFlashType}_1.html";
  }
}


//echo $kuStrBannerFile;
//include_once KUWEBS_ABSOLUTE_PATH."template/$kuTemplateName/headermenu.html";
?>